Bug 539309 - [abrt] crash detected in setroubleshoot-server-2.2.46-1.fc12
Summary: [abrt] crash detected in setroubleshoot-server-2.2.46-1.fc12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: setroubleshoot
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b346c30b
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-19 20:37 UTC by Ville-Pekka Vainio
Modified: 2010-01-29 03:32 UTC (History)
3 users (show)

Fixed In Version: 2.2.60-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-29 03:32:50 UTC


Attachments (Terms of Use)
File: backtrace (1.54 KB, text/plain)
2009-11-19 20:37 UTC, Ville-Pekka Vainio
no flags Details

Description Ville-Pekka Vainio 2009-11-19 20:37:53 UTC
abrt detected a crash.

Comment: I ran 'sealert -a /var/log/audit/audit.log' as root and it raised this exception.
Attached file: backtrace
cmdline: /usr/bin/python -E /usr/bin/sealert -a /var/log/audit/audit.log 
component: setroubleshoot
executable: /usr/bin/sealert
kernel: 2.6.31.5-127.fc12.x86_64
package: setroubleshoot-server-2.2.46-1.fc12
uuid: b346c30b

Comment 1 Ville-Pekka Vainio 2009-11-19 20:37:57 UTC
Created attachment 372333 [details]
File: backtrace

Comment 2 Daniel Walsh 2009-11-19 22:00:12 UTC
Fixed in setroubleshoot-2.2.49

Comment 3 Ville-Pekka Vainio 2009-12-02 09:34:28 UTC
I updated to setroubleshoot-2.2.50-1.fc12 and now I'm getting the following traceback from running sealert -a /var/log/audit/audit.log as root:

Traceback (most recent call last):
  File "/usr/lib64/python2.6/site-packages/setroubleshoot/analyze.py", line 630, in task
    self.new_audit_record_handler(record_type, event_id, body_text, fields, line_number)
  File "/usr/lib64/python2.6/site-packages/setroubleshoot/analyze.py", line 656, in new_audit_record_handler
    self.avc_event_handler(audit_event)
  File "/usr/lib64/python2.6/site-packages/setroubleshoot/analyze.py", line 642, in avc_event_handler
    avc = AVC(audit_event)
  File "/usr/lib64/python2.6/site-packages/setroubleshoot/audit_data.py", line 583, in __init__
    self.derive_avc_info_from_audit_event()
  File "/usr/lib64/python2.6/site-packages/setroubleshoot/audit_data.py", line 816, in derive_avc_info_from_audit_event
    self._set_tpath()
  File "/usr/lib64/python2.6/site-packages/setroubleshoot/audit_data.py", line 762, in _set_tpath
    inode = int(self.avc_record.get_field("ino"))
TypeError: int() argument must be a string or a number, not 'NoneType'

Comment 4 Fedora Update System 2010-01-21 00:04:13 UTC
setroubleshoot-2.2.58-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update setroubleshoot'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0815

Comment 5 Fedora Update System 2010-01-29 03:31:47 UTC
setroubleshoot-2.2.60-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.